// creator  : weidu.exe (version 23100)
// argument : PRIILMU.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~PRIILMU~

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #17000 /* ~ Helm guides my path.~ [ANOMEN32] */
  IF ~~ THEN REPLY #17002 /* ~I've no time to take on this sort of adventure.  You'll have to excuse me.~ */ DO ~~ GOTO 1
  IF ~~ THEN REPLY #17003 /* ~Bah!  More whining!  Get lost!~ */ DO ~~ GOTO 2
  IF ~~ THEN REPLY #17004 /* ~Well, I suppose I was mistaken, then.  Sorry to have bothered you.~ */ DO ~~ GOTO 3
END

IF ~~ THEN BEGIN 1 // from: 12.0 3.1 0.0
  SAY #17001 /* ~What sort of trouble is this town in?  What would I be expected to do?~ */
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #17005 /* ~You are blunt, as is your life... an existence pushing through everything in its path. That is why you are here, because of who and what you are.~ */
  IF ~~ THEN REPLY #17007 /* ~The town is under attack by forest animals.  The High Merchant thinks druids may be responsible, but we haven't the manpower to find them and stop it.~ */ DO ~~ GOTO 4
  IF ~~ THEN REPLY #17008 /* ~You are astute.   What could possibly overshadow your heritage as a matter of concern? I will outline exactly what I wish to know.~ */ DO ~~ GOTO 5
  IF ~~ THEN REPLY #17009 /* ~How much of a reward are we talking, here?~ */ DO ~~ GOTO 6
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #17006 /* ~He is Lord Logan Coprith, mayor and High Merchant of Trademeet.  He's willing to offer a substantial reward for anyone who can help Trademeet out of its... difficulties.~ */
  IF ~~ THEN REPLY #17021 /* ~How much of a reward are we talking about, should I decide to help you out?~ */ GOTO 7
  IF ~~ THEN REPLY #17022 /* ~Where is this town?~ */ DO ~~ GOTO 1
END

IF ~~ THEN BEGIN 4 // from: 2.0
  SAY #17010 /* ~What kind of difficulties are you referring to?~ */
  IF ~~ THEN REPLY #17013 /* ~No need to scold, Jaheira, <HESHE> was just trying to turn the conversation in <HISHER> favor.  No, you are here because of who and what you are.~ */ DO ~~ GOTO 7
  IF ~~ THEN REPLY #17014 /* ~Then I shall keep you waiting no longer, though I am certain you do indeed know why we are concerned about you.~ */ DO ~~ GOTO 8
END

IF ~~ THEN BEGIN 5 // from: 2.1
  SAY #17011 /* ~Where is this town?~ */
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 2.2
  SAY #17012 /* ~I'm not able to help out right now.  Excuse me.~ */
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 12.1 4.0 3.0
  SAY #17015 /* ~I'm not sure how much it is, but it will be a large one.  Lord Logan is wealthy and is desperate for some help, you see.~ */
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ THEN BEGIN 8 // from: 11.0 4.1
  SAY #17016 /* ~Here, I can show you on your map.  Do you think you might be able to help us?~ */
  IF ~~ THEN REPLY #17017 /* ~Mind yourself, <CHARNAME>, this is very serious.~ */ DO ~~ GOTO 9
  IF ~~ THEN REPLY #17018 /* ~Let me ask you a few things straight away, <CHARNAME>. Nothing too intrusive, I assure you. What are your earliest memories? Are they happy ones?~ */ DO ~~ GOTO 10
END

IF ~~ THEN BEGIN 9 // from: 13.0 8.0
  SAY #17019 /* ~Why would druids be attacking Trademeet?  I've never heard of such a thing.~ */
  IF ~~ THEN DO ~ActionOverride(Player1,LeaveAreaLUAPanic("AR0112","",[132.282],12))
ActionOverride(Player1,LeaveAreaLUA("AR0112","",[132.282],12))
ActionOverride(Player1,SetMasterArea("AR0300"))
ActionOverride(Player2,LeaveAreaLUA("AR0112","",[176.247],12))
ActionOverride(Player3,LeaveAreaLUA("AR0112","",[231.197],12))
ActionOverride(Player4,LeaveAreaLUA("AR0112","",[185.327],12))
ActionOverride(Player5,LeaveAreaLUA("AR0112","",[262.299],12))
ActionOverride(Player6,LeaveAreaLUA("AR0112","",[352.268],12))
~ EXIT
END

IF ~~ THEN BEGIN 10 // from: 13.1 8.1
  SAY #17020 /* ~Who is this High Merchant you're talking about?~ */
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ THEN BEGIN 11 // from:
  SAY #17023 /* ~I don't think I can help you out right now.  Excuse me.~ */
  IF ~~ THEN REPLY #17024 /* ~The townsfolk are growing angry, however, and Lord Logan wishes to resolve this before anything unfortunate occurs.~ */ DO ~~ GOTO 8
  IF ~~ THEN REPLY #17025 /* ~Running, hmm? No doubt from your past.  I remember Gorion... the idealist.  I was with those who thought it was a mistake. Ahh... I will clarify later.~ */ DO ~~ GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 11.1
  SAY #17026 /* ~Who is this Lord Logan again?~ */
  IF ~~ THEN REPLY #17028 /* ~Where is this town?~ */ DO ~~ GOTO 1
  IF ~~ THEN REPLY #17029 /* ~Hm.  I don't think I can help you, right now.  Excuse me.~ */ DO ~~ GOTO 7
END

IF ~True()
~ THEN BEGIN 13 // from:
  SAY #17027 /* ~Tell me what help you need.  Exactly what kind of trouble is this town in?~ */
  IF ~~ THEN REPLY #17031 /* ~I don't know.  I'll have to think about it.~ */ DO ~~ GOTO 9
  IF ~~ THEN REPLY #17032 /* ~I remember running, but I am not sure from what exactly. My stepfather Gorion led the way.~ */ DO ~~ GOTO 10
END

IF ~False()~ THEN BEGIN 14 // from:
  SAY #17033 /* ~I haven't the time, right now.  Excuse me.~ */
  IF ~~ THEN EXIT
END
